<%= form_with(model: project, local: true) do |form| %>
  <% if project.errors.any? %>
    <div class="alert alert-danger">
      <h2><%= pluralize(project.errors.count, "error") %> prohibited this project from being saved:</h2>

      <ul class="mb-0">
        <% project.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="form-group row">
    <%= form.label :name, class: 'col-sm-2 col-form-label' %>
    <div class="col-sm-10">
      <%= form.text_field :name, class: 'form-control' %>
    </div>
  </div>

  <div class="form-group row">
    <%= form.label :project_key, class: 'col-sm-2 col-form-label' %>
    <div class="col-sm-10">
      <% if @project.id != nil %>
        <input type="text" readonly class="form-control" id="project_project_key" value="<%= @project.project_key %>">
      <% else %>
        <%= form.text_field :project_key, class: 'form-control' %>
      <% end %>
    </div>
  </div>

  <div class="actions">
    <%= form.submit nil, {class: 'btn btn-primary'} %>
  </div>
<% end %>
